LPCOpen Platform for LPC18XX/43XX microcontrollers: SPIFI_DEVICE_DATA_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
SPIFI_DEVICE_DATA_T Struct Reference
LPCSPIFILIB device driver API functions

## Detailed Description

Register device data.

Definition at line 297 of file spifilib_dev.h.

`#include "spifilib_dev.h"`

## Data Fields
const char * | pDevName
SPIFI_DEVICE_ID_T | id
uint32_t | caps
uint16_t | blks
uint32_t | blkSize
uint16_t | subBlks
uint16_t | subBlkSize
uint16_t | pageSize
uint32_t | maxReadSize
uint8_t | maxClkRate
uint8_t | maxReadRate
uint8_t | maxHSReadRate
uint8_t | maxProgramRate
uint8_t | maxHSProgramRate
uint8_t | initDeInitFxId
uint8_t | clearStatusFxId
uint8_t | getStatusFxId
uint8_t | setStatusFxId
uint8_t | setOptionsFxId
uint8_t | getReadCmdFxId
uint8_t | getWriteCmdFxId

## Field Documentation

uint16_t blks

# of blocks

Definition at line 301 of file spifilib_dev.h.

uint32_t blkSize

size of block

Definition at line 302 of file spifilib_dev.h.

uint32_t caps

capabilities supported

Definition at line 300 of file spifilib_dev.h.

uint8_t clearStatusFxId

clearStatus fx_id

Definition at line 313 of file spifilib_dev.h.

uint8_t getReadCmdFxId

getReadCommand fx_id

Definition at line 317 of file spifilib_dev.h.

uint8_t getStatusFxId

getStatus fx_id

Definition at line 314 of file spifilib_dev.h.

uint8_t getWriteCmdFxId

getWriteCommand fx_id

Definition at line 318 of file spifilib_dev.h.

SPIFI_DEVICE_ID_T id

Device id structure

Definition at line 299 of file spifilib_dev.h.

uint8_t initDeInitFxId

init/DeInit fx_id

Definition at line 312 of file spifilib_dev.h.

uint8_t maxClkRate

(in Mhz) maximum clock rate (max common speed)

Definition at line 307 of file spifilib_dev.h.

uint8_t maxHSProgramRate

(in Mhz) max clock rate for quad program

Definition at line 311 of file spifilib_dev.h.

uint8_t maxHSReadRate

(in Mhz) max clock rate for quad / dual read

Definition at line 309 of file spifilib_dev.h.

uint8_t maxProgramRate

(in Mhz) max clock rate for program

Definition at line 310 of file spifilib_dev.h.

uint8_t maxReadRate

(in Mhz) max clock rate for read (driver may utilize fast read)

Definition at line 308 of file spifilib_dev.h.

uint32_t maxReadSize

max read allowed in one operation

Definition at line 306 of file spifilib_dev.h.

uint16_t pageSize

page size

Definition at line 305 of file spifilib_dev.h.

const char* pDevName

(required) Device friendly name

Definition at line 298 of file spifilib_dev.h.

uint8_t setOptionsFxId

setOptions fx_id

Definition at line 316 of file spifilib_dev.h.

uint8_t setStatusFxId

setStatus fx_id

Definition at line 315 of file spifilib_dev.h.

uint16_t subBlks

# of sub-blocks

Definition at line 303 of file spifilib_dev.h.

uint16_t subBlkSize

size of sub-block

Definition at line 304 of file spifilib_dev.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpcspifilib/inc/spifilib_dev.h